Redmine - Defect #19740

"Truncate emails after one of these lines" setting is not working
2015-04-29 16:51 - Deoren Moor

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 3.1.0

Resolution: Fixed Affected version: 3.0.2
Description

This may be related to the problem reported on #19737, but along with the improper handling of Outlook emails the Truncate option
doesn't appear to be working. I've tested using Outlook emails, Exchange webmail and Mozilla Thunderbird.

So far the Truncate option is respected when:

Using Outlook and responding after converting to Plaintext
Using Exchange web and leaving in HTML format

Using Exchange web and converting to Plaintext

Using Mozilla Thunderbird and leaving in HTML format
Using Mozilla Thunderbird and converting to Plaintext

So far the problem appears to be limited to Outlook email replies in HTML format.

Related issues:

Related to Redmine - Feature #16962: Better handle html-only emails Closed
Related to Redmine - Defect #12025: rake receive_pop3 is stripping formatting... Closed
Related to Redmine - Defect #15716: Scraped emails include CSS from HTML emails Closed
History

#2 - 2015-04-29 17:10 - Toshi MARUYAMA
- Related to Feature #16962: Better handle html-only emails added

#3 - 2015-04-29 18:13 - Toshi MARUYAMA
- Related to Defect #12025: rake receive_pop3 is stripping formatting and new lines added

#4 - 2015-04-29 18:17 - Toshi MARUYAMA
#16962#note-25

#5 - 2015-04-29 18:29 - Toshi MARUYAMA
- Related to Defect #15716: Scraped emails include CSS from HTML emails added

#6 - 2015-06-16 01:50 - Deoren Moor

This looks to be resolved as of r14313 (#16962). | manually back-ported the changes from r14312:r14313 (and the entire app/models/mail_handler.rb
file) to a 3.0.3 installation and it appears that emails are being properly truncated now.

#7 - 2015-07-14 02:13 - Toshi MARUYAMA
- Status changed from New to Closed
- Target version set to 3.1.0

- Resolution set to Fixed

Thank you for your feedback.

2025-05-02 1/1



https://www.redmine.org/issues/19737
https://www.redmine.org/issues/16962#note-25
https://www.redmine.org/projects/redmine/repository/svn/revisions/14313
https://www.redmine.org/issues/16962
http://www.tcpdf.org

